.card-compact .card-custom-tools a {
    vertical-align: middle;
    font-size: 80%;
    color: inherit;

}

.card-compact .card-custom-tools a:hover {
    vertical-align: middle;
    font-size: 80%;
    color: inherit;
    text-decoration: underline;
    /*text-decoration: none;*/
}

.text-strike {
    text-decoration: line-through;
    color: darkgray;
}

.brand-link .brand-image-xl {
    max-width: 200px;
}

.iti {
    display: block;
}

.login-box {
    width: auto;
    max-width: 560px;
    margin-top: 5%;
}

.login-page {
    height: auto;
}

#login-form {
    width: auto;
    max-width: 360px;
    margin: auto;
}

.login-text img {
    max-width: 100%;
}

body:not(.layout-fixed) .main-sidebar .sidebar {
    overflow-x: hidden;
}

img.colorbox:hover {
    cursor: pointer;
    outline: 1px dashed #ccc;
}

.uploaded-image + .image-sizes {
    font-style: italic;
    text-align: center;
}

[class*='sidebar-light-'] .nav-sidebar > .nav-item > .nav-treeview {
    background: #e0cfcf3b;
}

.legend-popover-content .legend-color {
    width: 13px;
    height: 13px;
    margin-right: 7px;
    box-shadow: inset 1px 1px 1px 1px rgba(0, 0, 0, 0.11);
    margin-top: 2px;
}

.legend-button .legend-text {
    margin-left: 5px;
}

@media (max-width: 1000px) {
    .legend-button .legend-text {
        display: none;
    }
}

.legend-popover-content .legend-item {
    font-size: 13px;
    padding-top: 1px;
    padding-bottom: 1px;
    display: flex;
    flex-direction: row;
}

.table tr.purple td {
    background-color: #eee0fc;
}

.table tr.purple:hover td {
    background-color: #e6cdff;
}


.spinner {
    display: inline-block;
    position: relative;
    width: 30px;
    height: 10px;
}

.opt-width {
    max-width: 570px;
}

.dropdown-menu {
    height: auto!important;
    max-height: 300px!important;
    overflow-x: hidden!important;
    overflow-y: auto!important;
}

.language-switcher ul.dropdown-menu li a {
    padding: 3px 11px;
}

@media (max-width: 500px) {
    .form-group ul.multiselect-container {
        overflow-x: scroll;
    }
}

@media (min-width: 500px) {
    .w-md-auto {
        width: auto !important;
    }
}

/** reboot **/
button:focus {
    outline: none;
}

.form-inline .form-check {
    line-height: 24px;
}

body {
    overflow-x: hidden;
}

.sidebar-collapse .main-sidebar,
.sidebar-open .main-sidebar
{
    z-index: 1038;
}

.img-responsive, .thumbnail > img, .thumbnail a > img, .carousel-inner > .item > img, .carousel-inner > .item > a > img {
    display: block;
    max-width: 100%;
    height: auto;
}

/** flex-break */
.flex-break {
    flex-basis: 100%;
}

/* OUR ICON IN MENU HAMBURGER + SIZES */
.nav-link.sidebar-toggle {
    font-size: 21px;
    padding: 0.25rem 1rem;
}

.nav-link.sidebar-toggle:before {
    content: "";
    font-family: FontAwesome;
}

.sidebar-collapse .main-header .sidebar-toggle:before {
    content: "";
}

/* LOGO CENTER + FIX SIZES */
.brand-link {
    background-size: cover;
    border-bottom: none;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 56px;
    margin-bottom: 19px;
}
.brand-link:before {
    display: none;
}
.brand-link .brand-image-xs,
.brand-link .brand-image-xl {
    float: none;
    position: static;
}
.brand-link .brand-image-xl {
    width: 180px;
}
.brand-link .brand-image-xs {
    width: 40px;
    height: 40px;
}

/* FIX LEGACY SIDEBAR */
.sidebar-collapse .main-sidebar .sidebar {
    margin-top: 2.3rem;
}
.sidebar-collapse .main-sidebar.sidebar-focused .sidebar,
.sidebar-collapse .main-sidebar:hover .sidebar {
    margin-top: 0;
}

.sidebar-mini.sidebar-collapse .main-sidebar:hover {
    margin-top: 0;
}
.sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused .logo-xs,
.sidebar-mini.sidebar-collapse .main-sidebar:hover .logo-xs {
    display: none;
}

.logo-xs {
    display: none;
}

.main-header .nav-link:hover {
    color: #000 !important;
}
/* NOT HOVER */
.sidebar-mini.sidebar-collapse .main-sidebar:not(:hover):not(.sidebar-focused) .sidebar .nav-sidebar .nav-item.has-treeview .nav-treeview {
    display: none!important;
}

@media (min-width: 992px) {
    .sidebar-mini.sidebar-collapse .logo-xl {
        display: none;
    }

    .sidebar-mini.sidebar-collapse .logo-xs {
        display: block;
    }
}
.nav-sidebar > li {
    width: 100%;
}

.nav-legacy {
    margin: 0 -0.5rem 0;
}

/* FIX MAIN-HEADER ICONS (BECAUSE OF CHANGES IN FONT-SIZE-BASE) */
.navbar-nav > .user-menu .user-image {
    margin-top: 0;
}

.main-header .nav-link {
    height: 100%;
}
.main-header .nav-link > i {
    font-size: 1.15rem;
}
.main-header .nav-link .navbar-badge {
    font-size: 0.6rem;
    top: 1px;
}

/* MAIN HEADER USER PROFILE IMAGE */
.main-header .navbar-nav > .user-menu .user-image {
    height: 25px;
    width: 25px;
}

/* CUSTOM NAVBAR-BADGE FONT-WEIGHT */
.navbar-badge {
    font-weight: 600;
}

/* SOME EXTRA FOR CARDS */
.card {
    /*margin-bottom: 0.7rem;*/
}
.card .card-header {
    /*border-bottom: 1px solid rgba(0, 0, 0, 0.07);*/
}
/*.card .card-header + .card-body {*/
/*    padding: 1.25rem 0.75rem;*/
/*}*/
.card.card-compact .card-header {
    padding: 2px 10px;
}
.card.card-compact .btn-card-tool {
    margin-top: 0;
    margin-bottom: 0;
}
.card.card-compact .card-title {
    padding-top: 3px;
    font-size: 16px;
}
.card.card-compact .card-body {
    padding: 10px 10px;
}
.card.card-chart .card-body {
    padding: 5px 5px 0;
}

.card .collapsible-title .card-title {
    cursor: pointer;
}

/* PAGINATION WRAP FIX */
.pagination {
    flex-wrap: wrap;
}

.main-sidebar .dropdown-divider {
    border-top: 1px solid #555;
}

/* COLLAPSED */
.sidebar-mini.sidebar-collapse .nav-legacy > .nav-item > .nav-link .nav-icon {
    margin-left: 5px;
}

.sidebar-mini.sidebar-collapse .nav-legacy > .nav-item > .nav-treeview > .nav-item  {
    display: none;
}


/* FIX SIDEBAR LOGO BORDER */
[class*='sidebar-dark'] .brand-link {
    border-bottom: 1px solid #2f3e4b;
}

.main-sidebar .sidebar nav .social-networks {
    transition: 0.3s ease-in-out;
}

.sidebar-collapse .main-sidebar:not(:hover):not(.sidebar-focused) .sidebar nav .social-networks {
    transform: translateX(-100px);
    opacity: 0;
}

/* HOVER & NORMAL */
.main-sidebar.sidebar-focused .nav-legacy.nav-sidebar > .nav-item > .nav-treeview > .nav-item,
.main-sidebar:hover .nav-legacy.nav-sidebar > .nav-item > .nav-treeview > .nav-item,
.nav-legacy.nav-sidebar > .nav-item > .nav-treeview > .nav-item {
    display: block;
}

.main-sidebar.sidebar-focused .nav-legacy.nav-sidebar > .nav-item > .nav-link > .nav-icon,
.main-sidebar:hover .nav-legacy.nav-sidebar > .nav-item > .nav-link > .nav-icon,
.nav-legacy.nav-sidebar > .nav-item > .nav-link > .nav-icon {
    margin-left: 0;
}

.main-sidebar:hover .nav-legacy.nav-sidebar > .nav-item.active > .nav-link > .nav-icon,
.nav-legacy.nav-sidebar > .nav-item.active > .nav-link > .nav-icon {
    margin-left: 0;
}

.nav-legacy.nav-sidebar > .nav-item .nav-icon {
    font-size: 0.9rem;
}

/* SUBMENU'S */
.nav-legacy.nav-sidebar > .nav-item {
    white-space: nowrap;
}


.nav-legacy.nav-sidebar > .nav-item .nav-treeview {
    background-color: #2c3b40!important;
}
.nav-legacy.nav-sidebar > .nav-item .nav-treeview > .nav-item > .nav-link {
    padding-top: 5px;
    padding-bottom: 5px;
    color: #8aa4af;
}
.nav-legacy.nav-sidebar > .nav-item .nav-treeview > .nav-item > .nav-link > .nav-icon {
    margin-left: 3px;
}

.nav-legacy.nav-sidebar > .nav-item .nav-treeview > .nav-item:hover > .nav-link,
.nav-legacy.nav-sidebar > .nav-item .nav-treeview > .nav-item.active > .nav-link
{
    color: #ffffff;
}


/** table responsive from adminlte 2 **/
.table-responsive {
    min-height: 0.01%;
    overflow-x: auto;
}

@media screen and (max-width: 767px) {
    .table-responsive {
        width: 100%;
        margin-bottom: 15px;
        overflow-y: hidden;
        -ms-overflow-style: -ms-autohiding-scrollbar;
        border: 1px solid #ddd;
    }
    .table-responsive > .table {
        margin-bottom: 0;
    }
    .table-responsive > .table > thead > tr > th,
    .table-responsive > .table > tbody > tr > th,
    .table-responsive > .table > tfoot > tr > th,
    .table-responsive > .table > thead > tr > td,
    .table-responsive > .table > tbody > tr > td,
    .table-responsive > .table > tfoot > tr > td {
        white-space: nowrap;
    }
    .table-responsive > .table-bordered {
        border: 0;
    }
    .table-responsive > .table-bordered > thead > tr > th:first-child,
    .table-responsive > .table-bordered > tbody > tr > th:first-child,
    .table-responsive > .table-bordered > tfoot > tr > th:first-child,
    .table-responsive > .table-bordered > thead > tr > td:first-child,
    .table-responsive > .table-bordered > tbody > tr > td:first-child,
    .table-responsive > .table-bordered > tfoot > tr > td:first-child {
        border-left: 0;
    }
    .table-responsive > .table-bordered > thead > tr > th:last-child,
    .table-responsive > .table-bordered > tbody > tr > th:last-child,
    .table-responsive > .table-bordered > tfoot > tr > th:last-child,
    .table-responsive > .table-bordered > thead > tr > td:last-child,
    .table-responsive > .table-bordered > tbody > tr > td:last-child,
    .table-responsive > .table-bordered > tfoot > tr > td:last-child {
        border-right: 0;
    }
    .table-responsive > .table-bordered > tbody > tr:last-child > th,
    .table-responsive > .table-bordered > tfoot > tr:last-child > th,
    .table-responsive > .table-bordered > tbody > tr:last-child > td,
    .table-responsive > .table-bordered > tfoot > tr:last-child > td {
        border-bottom: 0;
    }
}

@media (max-width: 992px) {
    .content-header h1 {
        font-size: 1.5rem;
    }
}

/* FIX LEGACY SIDEBAR */
.sidebar-collapse .main-sidebar .sidebar {
    margin-top: 1rem;
}
.card .card-custom-tools {
    padding-right: 0.625rem;
}
.card .card-custom-tools .btn-card-tool:last-child {
    padding-right: 0!important;
}


/** subst params */
/* subs params */
.subs-params {
    margin-top: -10px;
}

.subs-param {
    padding: 5px;
    cursor: pointer;
    white-space: normal;
    margin-right: 5px;
    margin-bottom: 8px;
}

/** ul compact */
.ul-compact {
    margin-bottom: 0;
    padding-left: 0;
    list-style-type: none;
}

.ul-compact > li::before {
    content: ' • ';
}

.detail-view td:last-child {
    word-break: break-word;
}

.card.collapsed-card .card-header .card-tools .btn-tool.btn-card-tool .fa {
    transform: rotate(
            0deg
    );
}
.card .card-header .card-tools .btn-tool.btn-card-tool .fa {
    transform: rotate(
            -90deg
    );
    transition: transform 0.3s ease-in-out;
}

/** box */
.box-fields {
    background: #f4f4f4;
    border: 1px solid #e0e0e0;
}

.box-fields .box-header.with-border {
    border-bottom: 1px solid #e0e0e0;
}